<?php 
require_once "../modelos/Cuentabanco.php";

$cuentabanco=new Cuentabanco();

$idcuentabanco=isset($_POST["idcuentabanco"])? limpiarCadena($_POST["idcuentabanco"]):"";
$nombre=isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$nrocuenta=isset($_POST["nrocuenta"])? limpiarCadena($_POST["nrocuenta"]):"";
$idbanco=isset($_POST["idbanco"])? limpiarCadena($_POST["idbanco"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
	if (empty($idcuentabanco)) {
		$rspta=$cuentabanco->insertar($nombre,$nrocuenta,$idbanco);
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	}else{
         $rspta=$cuentabanco->editar($idcuentabanco,$nombre,$nrocuenta,$idbanco);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	}
		break;
	

	case 'desactivar':
		$rspta=$cuentabanco->desactivar($idcuentabanco);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
		break;
	case 'activar':
		$rspta=$cuentabanco->activar($idcuentabanco);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
		break;
	
	case 'mostrar':
		$rspta=$cuentabanco->mostrar($idcuentabanco);
		echo json_encode($rspta);
		break;

	case 'selectBanco':
	
		$rspta=$cuentabanco->selectBanco();

		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idbanco.'>'.$reg->nombre.'</option>';
		}
		break;
	
	case 'selectCuentabanco':
		$valorinicio	= 0;
		$valornombre	= 'Seleccione una Cuenta';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta=$cuentabanco->selectCuentabanco();
		while ($reg=$rspta->fetch_object()) {
				echo '<option value=' .$reg->idbancocuenta.'-'.$reg->tipomoneda.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectCuentabanco1':
		$valorinicio	= 0;
		$valornombre	= 'Seleccione una Cuenta';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta=$cuentabanco->selectCuentabanco();
		while ($reg=$rspta->fetch_object()) {
				echo '<option value=' .$reg->idbancocuenta.'-'.$reg->tipomoneda.'>'.$reg->nombre.'</option>';
		}
	break;
	
	case 'selectCuentabancor':
		$valorinicio	= 0;
		$valornombre	= 'Seleccione una Cuenta';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta=$cuentabanco->selectCuentabancor();
		while ($reg=$rspta->fetch_object()) {
				echo '<option value=' .$reg->idbancocuenta.'-'.$reg->tipomoneda.'>'.$reg->nombre.'</option>';
		}
	break;
	
	case 'selectCuentabancort':
		$valorinicio	= 0;
		$valornombre	= 'Seleccione una Cuenta';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta=$cuentabanco->selectCuentabancot();
		while ($reg=$rspta->fetch_object()) {
				echo '<option value=' .$reg->idbancocuenta.'-'.$reg->tipomoneda.'>'.$reg->nombre.'</option>';
		}
	break;
	
	case 'selectCuentabancore':
		$valorinicio	= 0;
		$valornombre	= 'Seleccione una Cuenta';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta=$cuentabanco->selectCuentabancoe();
		while ($reg=$rspta->fetch_object()) {
				echo '<option value=' .$reg->idbancocuenta.'-'.$reg->tipomoneda.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectCliente':
		require_once "../modelos/Persona.php";
		$persona 		= new Persona();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione una Cuenta';
		$rspta = $persona->listarc();
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			//echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'-'.$reg->nombred.'</option>';
			echo '<option value='.$reg->idbancocuenta.'>'.$reg->idbancocuenta.'</option>';
		}
	break;
	
	case 'listar':
		$rspta=$cuentabanco->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idbancocuenta.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idbancocuenta.')">
						<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idbancocuenta.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idbancocuenta.')">
						<i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->nrocuenta,
            "3"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
		break;
}
 ?>